org.apache.xerces.impl.dtd.models

## Interface ContentModelValidator

- All Known Implementing Classes:
    DFAContentModel, MixedContentModel, SimpleContentModel

      public interface ContentModelValidator

  Version:
    $Id: ContentModelValidator.java 446752 2006-09-15 21:55:19Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `validate(org.apache.xerces.xni.QName[] children, int offset, int length)` validate

- - ### Method Detail

    - #### validate

          int validate(org.apache.xerces.xni.QName[] children,
                       int offset,
                       int length)

      validate
      Parameters:
        `children` -
        `offset` -
        `length` -
      Returns:
        The value -1 if fully valid, else the 0 based index of the child that first failed. If the value returned is equal to the number of children, then the specified children are valid but additional content is required to reach a valid ending state.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.